package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcActivityFormulaDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface XhpcActivityFormulaMapper {
    int deleteByPrimaryKey(Long activityFormulaId);

    int insert(XhpcActivityFormulaDomain record);

    int insertBatch(@Param("domainList") List<XhpcActivityFormulaDomain> domainList);

    XhpcActivityFormulaDomain selectByPrimaryKey(Long activityFormulaId);

    int updateByPrimaryKey(XhpcActivityFormulaDomain record);

    List<XhpcActivityFormulaDomain> selectByActivityId(Integer activityId);

    int deleteByActivityId(Integer activityId);
}